### Method

# CM Account set_login_id

#### Declaration [src]

    gboolean
    cm_account_set_login_id (
      CmAccount* self,
      const char* login_id
    )

#### Description [src]

Set login ID for the account. The login can be a fully qualified matrix ID, or an email address which shall be used to log in to the server in to the server.

#### Parameters

`login_id`

  Type: `const char*`

  A login ID for the client.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `login_id` was successfully set, `FALSE` otherwise.